#
# spec file for package yast2-gtk (Version 2.15.9)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit ConsoleKit-32bit Mesa Mesa-devel PolicyKit aaa_base acl atk atk-devel attr audit-libs audit-libs-32bit autoconf automake bash binutils blocxx blocxx-devel boost boost-devel bzip2 cairo cairo-devel cmake coreutils cpio cpp cpp42 cracklib cracklib-32bit cups-libs curl-ca-bundle cvs cyrus-sasl dbus-1 dbus-1-32bit dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils dirmngr file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gpg2 grep groff gtk2 gtk2-devel gzip hal hal-devel hicolor-icon-theme info insserv less libacl libattr libblkid-devel libblkid1 libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libcurl-devel libcurl4 libdb-4_5 libdb-4_5-32bit libdrm libexpat-devel libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libgomp42 libgpg-error libicu libidn libidn-devel libjpeg libksba libltdl-3 libmudflap42 libnscd libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libxcrypt libxcrypt-32bit libxcrypt-devel libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp libzypp-devel linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-certs pam pam-32bit pam-config pam-modules pango pango-devel parted patch pcre pcre-devel perl perl-XML-Writer perl-base permissions pinentry pkg-config pmtools popt popt-devel pth pwdutils rpm rpm-devel sed setserial sqlite sysvinit tar texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel yast2-core yast2-core-devel yast2-devtools zlib zlib-devel

Name:           yast2-gtk
Url:            http://en.opensuse.org/YaST2-GTK
Version:        2.15.9
Release:        34.2
License:        LGPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-gtk-2.15.9.tar.bz2
Patch1:         yast2-gtk-text-domain.patch
# PATCH-FIX-OPENSUSE yast2-gtk-r40420.patch
Patch2:         yast2-gtk-r40420.patch
# PATCH-FIX-OPENSUSE yast2-gtk-r40421.patch
Patch3:         yast2-gtk-r40421.patch
# PATCH-FIX-OPENSUSE yast2-gtk-r40654-abandon-dialog-bnc300390.patch bnc300390
Patch4:         yast2-gtk-r40654-abandon-dialog-bnc300390.patch
# PATCH-FIX-OPENSUSE yast2-gtk-progress-speedup.patch bnc300750
Patch5:         yast2-gtk-progress-speedup.patch
# PATCH-FIX-OPENSUSE yast2-gtk-r41246.patch bnc300750
Patch6:         yast2-gtk-r41246-sorting.patch
# PATCH-FIX-OPENSUSE yast2-gtk-pattern-install-bnc330235-bnc330467.patch bnc330235 bnc330467
Patch7:         yast2-gtk-pattern-install-bnc330235-bnc330467.patch
# PATCH-FIX-OPENSUSE yast2-gtk-pattern-speedup-bnc330467.patch bnc330467
Patch8:         yast2-gtk-pattern-speedup-bnc330467.patch
# PATCH-FIX-OPENSUSE yast2-gtk-show-uninstalled-or-upgradable-only.patch bnc300737
Patch9:         yast2-gtk-show-uninstalled-or-upgradable-only.patch
# PATCH-FIX-OPENSUSE yast2-gtk-patches-shown-bnc336124.patch bnc336124
Patch10:        yast2-gtk-patches-shown-bnc336124.patch
Prefix:         /usr
Source2:        yast2-gtk-rpmlintrc
BuildRequires:  blocxx-devel gcc-c++ gtk2-devel libxcrypt-devel libzypp-devel yast2-core-devel yast2-devtools
Summary:        YaST2 - Gtk Graphical User Interface
Provides:       yast2_ui

%description
One of several user interfaces available for YaST2, based on GTK and
the X Window System.



Authors:
--------
    Ricardo Cruz
    Michael Meeks

%debug_package
%prep
%setup -n yast2-gtk-2.15.9
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p1

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
rm $RPM_BUILD_ROOT%{_libdir}/YaST2/plugin/libpy2gtk.la

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr (-, root, root)
%doc %{prefix}/share/doc/packages/yast2-gtk
%{_libdir}/YaST2/plugin/libpy2gtk.so.*
%{_libdir}/YaST2/plugin/libpy2gtk.so
%changelog
* Wed Oct 24 2007 - btimothy@suse.de
- Include patches from SVN head to fix various package selector
  bugs.  Included are fixes for bugzilla.novell.com bugs: 300390
  300750, 300737, 330235, 330467, 336124.
* Wed Sep 26 2007 - sreeves@suse.de
- Partial fix for Bug# 328213 - package selector untranslated
* Fri Aug 10 2007 - mvidner@suse.cz
- Finished integrating Feature #120292, UI as a namespace callable
  from yast2-*-bindings.
- 2.5.9
* Wed Aug 08 2007 - mmichael@suse.de
- FaTE #302018: details on how to print the license
- 2.15.8
* Wed Aug 08 2007 - mvidner@suse.cz
- Don't build-require yast2-devel-doc.
- 2.15.7.2
* Mon Aug 06 2007 - mvidner@suse.cz
- Adapted to changes in yast2-core needed for making UI callable from
  yast2-*-bindings.
- 2.15.7.1
* Thu Jul 26 2007 - jsrain@suse.cz
- removed yast2-devel from BuildRequires
- 2.15.7
* Mon Jul 23 2007 - mmichael@suse.de
- fix crash-on-start n#293065
- fix uninitialized warnings
- fix empty-partition divide by 0 case
- 2.15.6
* Mon Jul 16 2007 - jsrain@suse.cz
- adapted to new libzypp
- added support for translations
- 2.15.5
* Thu Jun 21 2007 - mmichael@suse.de
- upgrade to yast2-gtk-2.15.4, fixes many bugs, pwrt.
  package selector, improved search, multi-select for
  installations &, large scale robustness & functionality
  table-sorting fix, progress bar fix, initial easter-egg,
  add rpmlintrc to avoid complaints about plugin .so name
* Fri May 11 2007 - mmichael@suse.de
- upgrade to yast2-gtk-2.15.3, fixes #268146, #271716
  and improves package selector search / sort.
* Tue Apr 17 2007 - mmichael@suse.de
- upgrade to yast2-gtk-2.15.2, fixes upgrade.ycp
* Fri Mar 16 2007 - mmichael@suse.de
- upgrade to yast2-gtk-2.15.1, several fixes, including #247682, #247683
* Wed Feb 07 2007 - mmichael@suse.de
- update to yast2-gtk-2.15.0, fixes build and adds new Frame type
* Wed Aug 30 2006 - cthiel@suse.de
- added yast2-gtk-autogen.patch to fix build with latests yast2-devtools
* Mon Aug 28 2006 - cthiel@suse.de
- fix build
* Wed Aug 23 2006 - mmichael@suse.de
- import yast2-gtk into autobuild.
